Bug 156332 - F1 on View - Navigation does not find a relevant help page
Summary: F1 on View - Navigation does not find a relevant help page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
24.2.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Rafael Lima
URL:
Whiteboard: target:24.2.0
Keywords:
Depends on:
Blocks: Help-Link
  Show dependency treegraph
 
Reported: 2023-07-17 13:52 UTC by sdc.blanco
Modified: 2023-08-02 16:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2023-07-17 13:52:37 UTC
1. View - Toolbars - (hover over) Navigation
2. Press F1

Actual: 404 error 
        Help ID: .uno:AvailableToolbars?Toolbar:string=navigationobjectbar

Expected:  relevant help page. https://help.libreoffice.org/24.2/en-US/text/swriter/01/02110100.html

Additional:

3. Also tried with F1 from actual Navigation toolbar, with same lack of effect.
Comment 1 Rafael Lima 2023-07-19 11:56:05 UTC
Actually, in View - Toolbars if you hover over any entry in the menu, no help page will be shown.

Each of them have their own HID though.

Can you confirm this?
Comment 2 Rafael Lima 2023-07-19 12:00:21 UTC
BTW hovering on a menu entry and pressing F1 only works with "gen" (Linux) and "win"... it does not work with gtk3 nor kf5.
Comment 3 sdc.blanco 2023-07-19 15:33:53 UTC
(In reply to Rafael Lima from comment #1)
> Can you confirm this?
Yes, as generalised from the four additional cases that were tested,
where Help ID always starts:  uno:AvailableToolbars?Toolbar:string=

and toolbar identifier is shown after "=".

Tested with:

Toolbar Name            identifier

Standard                standardbar
Bullets and Numbering   numobjectbar
Find                    findbar
(custom toolbar)        custom_toolbar_53335f2b

Version: 24.2.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 693411e60c6bbd1c2ef25490cc3902f6b2461682
CPU threads: 8; OS: Windows 10.0 Build 19045; UI render: Skia/Raster; VCL: win
Locale: da-DK (da_DK); UI: en-US
Calc: CL threaded
Comment 4 Martin Srebotnjak 2023-07-21 13:49:33 UTC
So I shall confirm.
Comment 5 Commit Notification 2023-08-02 15:41:28 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/a31551f0c593fc33f59afca3f8bdb8d1a4473912

tdf#156332 Fix HID in View - Toolbars (Writer)
Comment 6 Rafael Lima 2023-08-02 16:06:19 UTC
I am closing this bug as FIXED, since the original request is now fixed.

However, there's still work to be done in creating missing help pages for toolbars.